> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secrets.

> List all Secrets for the authenticated account. Secret values are not included for security reasons.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/secrets
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/secrets:
    get:
      tags:
        - secrets
      summary: List Secrets.
      description: >-
        List all Secrets for the authenticated account. Secret values are not
        included for security reasons.
      operationId: listSecrets
      parameters:
        - name: limit
          in: query
          description: The limit of items to return. Default is 20. Max is 5000.
          allowEmptyValue: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: >-
            Successfully retrieved list of Secrets. Values are omitted for
            security.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretListView'
        '401':
          description: Unauthorized. Invalid or missing authentication.
        '403':
          description: Forbidden. Account does not have devbox capability.
        '500':
          description: Internal server error.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Runloop from '@runloop/api-client';

            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });

            const secretListView = await client.secrets.list();

            console.log(secretListView.has_more);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            secret_list_view = client.secrets.list()
            print(secret_list_view.has_more)
components:
  schemas:
    SecretListView:
      type: object
      description: A paginated list of Secrets.
      properties:
        secrets:
          type: array
          items:
            $ref: '#/components/schemas/SecretView'
          description: List of Secret objects. Values are omitted for security.
        has_more:
          type: boolean
          description: True if there are more results available beyond this page.
        total_count:
          format: int32
          description: Total number of Secrets across all pages.
          type:
            - integer
            - 'null'
      required:
        - secrets
        - has_more
    SecretView:
      type: object
      description: >-
        A Secret represents a key-value pair that can be securely stored and
        used in Devboxes as environment variables.
      properties:
        id:
          type: string
          description: The unique identifier of the Secret.
        name:
          type: string
          description: >-
            The globally unique name of the Secret. Used as the environment
            variable name in Devboxes.
        create_time_ms:
          type: integer
          format: int64
          description: Creation time of the Secret (Unix timestamp in milliseconds).
        update_time_ms:
          type: integer
          format: int64
          description: Last update time of the Secret (Unix timestamp in milliseconds).
      required:
        - id
        - name
        - create_time_ms
        - update_time_ms
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````